Skip to main content
PUT
Edit a specific Access role

Authorizations

X-HYS-API-Key
string
header
required

Gratona API key sent with the compatibility header X-HYS-API-Key.

Path Parameters

group_id
integer
required

ID of the group to edit

Body

application/json
id
integer

The ID of the Access role

Example:

301

name
string

The name of the Access role

Example:

"Gratona Demos"

client_id
string
Example:

"207"

group_all
string
Example:

"1"

account
string
Example:

"1"

groups
string
Example:

"1"

group-{group_id}
string
Example:

"1"

admins
string
Example:

"1"

forms
string
Example:

"1"

new_form
string
Example:

"1"

manage_programs
string
Example:

"1"

manage_settings
string
Example:

"1"

manage_designations
string
Example:

"1"

manage_email
string
Example:

"1"

email_manager
string
Example:

"1"

donations
string
Example:

"1"

form_report
string
Example:

"1"

program-{program_id}
string
Example:

"1"

donor-{donor_id}
string
Example:

"1"

program-all
string
Example:

"1"

donor-all
string
Example:

"1"

disable_entity_archive
string
Example:

"1"

disable_sponsorship_archive
string
Example:

null

disable_sponsorship_restore
string
Example:

null

disable_donor_archive
string
Example:

null

disable_donor_delete
string
Example:

null

disable_donor_restore
string
Example:

null

disable_entity_delete
string
Example:

null

disable_entity_restore
string
Example:

null

group_id
integer

The Access role ID

Example:

301

disable_message_send_without_approval
string
Example:

null

Response

Successfully Updated the Group

message
string
Example:

"Access role updated"